------------------------------------------------------------------------------------------
-- Closing window handler
------------------------------------------------------------------------------------------
function ClosingWindow()
	function FishermanWindow:Closing(sender, args)
		settings.isWindowVisible = false;
		SaveSettings();
	end
end
------------------------------------------------------------------------------------------
-- setting the shortcuts
------------------------------------------------------------------------------------------
function CreateTheShortCuts()
	settings.shortcutData_1 = "0x7000EE1E"; -- fishing
	--settings.shortcutData_2 = "0x03170006E8F4CCCF,0x00000000"; -- canne a peche en lebthron
	centerQS1:SetShortcut( Turbine.UI.Lotro.Shortcut( 9, settings.shortcutData_1 ) );

	if(settings.shortcutData_2 ~= "") then
		centerQS2:SetShortcut( Turbine.UI.Lotro.Shortcut( 2, settings.shortcutData_2 ) );
	end
end
------------------------------------------------------------------------------------------
-- setting the shortcuts for drag and drop
------------------------------------------------------------------------------------------
function SetDragAndDrop()
	centerQS1.DragDrop = function(sender, args)
		local tmp = Turbine.UI.Lotro.Quickslot();
		
		tmp = centerQS1:GetShortcut();
		tmp = tmp:GetData();
	
		local tmp2 = Turbine.UI.Lotro.Quickslot();
		tmp2 = centerQS1:GetShortcut();
		tmp2 = tmp2:GetType();

	
		--Turbine.Shell.WriteLine("Data : " .. tmp); -- display the ID of the schortcut
		--Turbine.Shell.WriteLine("Type : " .. tmp2); -- display the Type of the schortcut

		settings.shortcutData_1 = tmp;

		SaveSettings();
	end
	centerQS2.DragDrop = function(sender, args)
		local tmp = Turbine.UI.Lotro.Quickslot();
		
		tmp = centerQS2:GetShortcut();
		tmp = tmp:GetData();
	
		settings.shortcutData_2 = tmp;

		SaveSettings();
	end
end
------------------------------------------------------------------------------------------
-- mouse click handler
------------------------------------------------------------------------------------------
function MousClickHAndler()
	centerQS2.MouseClick = function(sender, args)
		if(settings.isFishRodEquiped == false) then
		
			local equipPrimaryWeapon = Turbine.Gameplay.LocalPlayer:GetInstance():GetEquipment();
			equipPrimaryWeapon = equipPrimaryWeapon:GetItem(16);
		
			local tmp = Turbine.UI.Lotro.Quickslot();
		
			tmp = centerQS2:GetShortcut();
			tmp = tmp:GetData();
		
			settings.primaryWeapon = equipPrimaryWeapon:GetName();


			centerQS2:SetShortcut( Turbine.UI.Lotro.Shortcut( 2, equipPrimaryWeapon:SetShortcut() ) );
		
			settings.isFishRodEquiped = true;
			SaveSettings();
		end
	end
end
------------------------------------------------------------------------------------------
-- delete the shortcut with mouse wheel
------------------------------------------------------------------------------------------
function DeleteShortCuts()
	centerQS1.MouseWheel = function(sender, args)
		settings.shortcutData_1 = tostring(""); 
		centerQS1:SetShortcut(Turbine.UI.Lotro.Shortcut());
		SaveSettings(3);
	end
	centerQS2.MouseWheel = function(sender, args)
		settings.shortcutData_2 = tostring(""); 
		centerQS2:SetShortcut(Turbine.UI.Lotro.Shortcut());
		SaveSettings(3);
	end
end

------------------------------------------------------------------------------------------
-- check the weapon
------------------------------------------------------------------------------------------
function GetTheWeapons()

	local equipPrimaryWeapon = Turbine.Gameplay.LocalPlayer:GetInstance():GetEquipment();
	local equipSecondaryWeapon = Turbine.Gameplay.LocalPlayer:GetInstance():GetEquipment();
		
	-- primary weapon
	equipPrimaryWeapon = equipPrimaryWeapon:GetItem(16);	-- index 16 = primary weapon
	
	-- secondary weapon
	equipSecondaryWeapon = equipSecondaryWeapon:GetItem(17); -- index 17 = secondary weapon
	if(equipSecondaryWeapon ~= nil ) then
		settings.secondaryWeapon = equipSecondaryWeapon:GetName();
	end
	
	--Turbine.Shell.WriteLine(settings.primaryWeapon); 
	--Turbine.Shell.WriteLine(settings.secondaryWeapon); 
	SaveSettings();
end

------------------------------------------------------------------------------------------
-- mouse enter handler
------------------------------------------------------------------------------------------
function SetMouseEnter()
	centerQS1.MouseEnter = function(sender, args)
		FishermanWindow.Message:SetText(""); 
		FishermanWindow.Message:SetText(Strings.PluginLoisir); 
	end

	centerQS2.MouseEnter = function(sender, args)
		FishermanWindow.Message:SetText("");
		FishermanWindow.Message:SetText(Strings.PluginCanneapeche); 
	end

	centerQS1.MouseLeave = function(sender, args)
		FishermanWindow.Message:SetText(Strings.PluginText);
	end

	centerQS2.MouseLeave = function(sender, args)
		FishermanWindow.Message:SetText(Strings.PluginText);
	end
end